package com.steering.mes.mcp.entity;
/**
 * 数据库表HTT_ENTRUST_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2021-01-08
 */
@SuppressWarnings("serial")
public class HttEntrustResultEntity implements java.io.Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 作业支数（有效生产数量）
     */
    private String proNum = "";
    /**
     * 作业重量
     */
    private String proWt = "";
    /**
     * 废品支数
     */
    private String failNum = "";
    /**
     * 废品重量
     */
    private String failWt = "";
    /**
     * 生产(年月日)
     */
    private String proYearMonthDay = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 操作班次
     */
    private String proShift = "";
    /**
     * 操作班组
     */
    private String proGroup = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 操作人
     */
    private String proUser = "";
    /**
     * 操作时间
     */
    private String proTime = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 水压压力PSI
     */
    private String testPressure = "";
    /**
     * 保压时间S
     */
    private String holdtimeTime = "";
    /**
     * 水压压力MPa
     */
    private String testPressureY = "";
    /**
     * 分切数
     */
    private String outnumCut = "";
    /**
     * 最低回火温度
     */
    private String minTemp = "";
    /**
     * 高温炉温度
     */
    private String hheatTemp = "";
    /**
     * 低温炉温度
     */
    private String lheatTemp = "";
    /**
     * 委外项  0-热处理性能  1-探伤  2-分切  3-表面处理  4-水压  5-通经
     */
    private String subcontractType = "";
    /**
     * 委外单号
     */
    private String subcontractNo = "";
    /**
     * 委外单号序号
     */
    private String subcontractNoSeq = "";
    /**
     * 报告地址
     */
    private String reportPath = "";
    /**
     * 0- 管体 1-管端
     */
    private String testingPosition = "";
    /**
     * 探伤标准
     */
    private String testingStandard = "";
    /**
     * 探伤等级
     */
    private String testingGrade = "";
    /**
     * 机器编号
     */
    private String machineNo = "";
    /**
     * 槽长
     */
    private String notchLength = "";
    /**
     * 槽宽
     */
    private String notchWidth = "";
    /**
     * 槽深
     */
    private String notchDepth = "";
    /**
     * 探伤类型
     */
    private String testingType = "";
    /**
     * 高温炉时间(分钟)
     */
    private String hheatTime = "";
    /**
     * 低温炉时间(分钟)
     */
    private String lheatTime = "";
    /**
     * 项目代码
     */
    private String projectCode = "";
    /**
     * 项目名称
     */
    private String projectName = "";
    /**
     * 报表模板 0：管体超声UT 1：管端手探超声UT   4涡流ET   10: 管端超声UT  11: 管端手动磁粉MT 12:管端磁粉MT  13螺纹磁粉MT  14:管端电磁声EMAT  15:
     */
    private String reportNo = "";
    /**
     * 口数
     */
    private String incisionNum = "";
    /**
     * 捆数
     */
    private String bundlingNum = "";
    /**
     * 返库标识（0-未返库，1-已返库）
     */
    private String returnFlag = "";
    /**
     * 返库人
     */
    private String returnName = "";
    /**
     * 返库时间
     */
    private String returnTime = "";
    /**
     * 通径规测尺寸(生产前)端部
     */
    private String measHead = "";
    /**
     * 通径规测量尺寸寸(生产前)中部
     */
    private String measMiddle = "";
    /**
     * 通径规测量尺寸(生产前)尾部
     */
    private String measEnd = "";
    /**
     * 通径规测量尺寸(接班后4小时)端部
     */
    private String measHead4 = "";
    /**
     * 通径规测量尺寸(接班后4小时)中部
     */
    private String measMiddle4 = "";
    /**
     * 通径规测量尺寸(接班后4小时)尾部
     */
    private String measEnd4 = "";
    /**
     * 通径规测尺寸(生产后)端部
     */
    private String measHeadAfter = "";
    /**
     * 通径规测量尺寸寸(生产后)中部
     */
    private String measMiddleAfter = "";
    /**
     * 通径规测量尺寸(生产后)尾部
     */
    private String measEndAfter = "";
    /**
     * 通径规编号
     */
    private String patchNo = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 作业支数（有效生产数量）
     * @return value
     */
    public String getProNum() {
        return proNum;
    }

    /**
     * 作业支数（有效生产数量）
     * @param proNum value
     */
    public void setProNum(String proNum) {
        this.proNum = proNum;
    }

    /**
     * 作业重量
     * @return value
     */
    public String getProWt() {
        return proWt;
    }

    /**
     * 作业重量
     * @param proWt value
     */
    public void setProWt(String proWt) {
        this.proWt = proWt;
    }

    /**
     * 废品支数
     * @return value
     */
    public String getFailNum() {
        return failNum;
    }

    /**
     * 废品支数
     * @param failNum value
     */
    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    /**
     * 废品重量
     * @return value
     */
    public String getFailWt() {
        return failWt;
    }

    /**
     * 废品重量
     * @param failWt value
     */
    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }

    /**
     * 生产(年月日)
     * @return value
     */
    public String getProYearMonthDay() {
        return proYearMonthDay;
    }

    /**
     * 生产(年月日)
     * @param proYearMonthDay value
     */
    public void setProYearMonthDay(String proYearMonthDay) {
        this.proYearMonthDay = proYearMonthDay;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getProShift() {
        return proShift;
    }

    /**
     * 操作班次
     * @param proShift value
     */
    public void setProShift(String proShift) {
        this.proShift = proShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getProGroup() {
        return proGroup;
    }

    /**
     * 操作班组
     * @param proGroup value
     */
    public void setProGroup(String proGroup) {
        this.proGroup = proGroup;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getProUser() {
        return proUser;
    }

    /**
     * 操作人
     * @param proUser value
     */
    public void setProUser(String proUser) {
        this.proUser = proUser;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getProTime() {
        return proTime;
    }

    /**
     * 操作时间
     * @param proTime value
     */
    public void setProTime(String proTime) {
        this.proTime = proTime;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 水压压力PSI
     * @return value
     */
    public String getTestPressure() {
        return testPressure;
    }

    /**
     * 水压压力PSI
     * @param testPressure value
     */
    public void setTestPressure(String testPressure) {
        this.testPressure = testPressure;
    }

    /**
     * 保压时间S
     * @return value
     */
    public String getHoldtimeTime() {
        return holdtimeTime;
    }

    /**
     * 保压时间S
     * @param holdtimeTime value
     */
    public void setHoldtimeTime(String holdtimeTime) {
        this.holdtimeTime = holdtimeTime;
    }

    /**
     * 水压压力MPa
     * @return value
     */
    public String getTestPressureY() {
        return testPressureY;
    }

    /**
     * 水压压力MPa
     * @param testPressureY value
     */
    public void setTestPressureY(String testPressureY) {
        this.testPressureY = testPressureY;
    }

    /**
     * 分切数
     * @return value
     */
    public String getOutnumCut() {
        return outnumCut;
    }

    /**
     * 分切数
     * @param outnumCut value
     */
    public void setOutnumCut(String outnumCut) {
        this.outnumCut = outnumCut;
    }

    /**
     * 最低回火温度
     * @return value
     */
    public String getMinTemp() {
        return minTemp;
    }

    /**
     * 最低回火温度
     * @param minTemp value
     */
    public void setMinTemp(String minTemp) {
        this.minTemp = minTemp;
    }

    /**
     * 高温炉温度
     * @return value
     */
    public String getHheatTemp() {
        return hheatTemp;
    }

    /**
     * 高温炉温度
     * @param hheatTemp value
     */
    public void setHheatTemp(String hheatTemp) {
        this.hheatTemp = hheatTemp;
    }

    /**
     * 低温炉温度
     * @return value
     */
    public String getLheatTemp() {
        return lheatTemp;
    }

    /**
     * 低温炉温度
     * @param lheatTemp value
     */
    public void setLheatTemp(String lheatTemp) {
        this.lheatTemp = lheatTemp;
    }

    /**
     * 委外项  0-热处理性能  1-探伤  2-分切  3-表面处理  4-水压  5-通经
     * @return value
     */
    public String getSubcontractType() {
        return subcontractType;
    }

    /**
     * 委外项  0-热处理性能  1-探伤  2-分切  3-表面处理  4-水压  5-通经
     * @param subcontractType value
     */
    public void setSubcontractType(String subcontractType) {
        this.subcontractType = subcontractType;
    }

    /**
     * 委外单号
     * @return value
     */
    public String getSubcontractNo() {
        return subcontractNo;
    }

    /**
     * 委外单号
     * @param subcontractNo value
     */
    public void setSubcontractNo(String subcontractNo) {
        this.subcontractNo = subcontractNo;
    }

    /**
     * 委外单号序号
     * @return value
     */
    public String getSubcontractNoSeq() {
        return subcontractNoSeq;
    }

    /**
     * 委外单号序号
     * @param subcontractNoSeq value
     */
    public void setSubcontractNoSeq(String subcontractNoSeq) {
        this.subcontractNoSeq = subcontractNoSeq;
    }

    /**
     * 报告地址
     * @return value
     */
    public String getReportPath() {
        return reportPath;
    }

    /**
     * 报告地址
     * @param reportPath value
     */
    public void setReportPath(String reportPath) {
        this.reportPath = reportPath;
    }

    /**
     * 0- 管体 1-管端
     * @return value
     */
    public String getTestingPosition() {
        return testingPosition;
    }

    /**
     * 0- 管体 1-管端
     * @param testingPosition value
     */
    public void setTestingPosition(String testingPosition) {
        this.testingPosition = testingPosition;
    }

    /**
     * 探伤标准
     * @return value
     */
    public String getTestingStandard() {
        return testingStandard;
    }

    /**
     * 探伤标准
     * @param testingStandard value
     */
    public void setTestingStandard(String testingStandard) {
        this.testingStandard = testingStandard;
    }

    /**
     * 探伤等级
     * @return value
     */
    public String getTestingGrade() {
        return testingGrade;
    }

    /**
     * 探伤等级
     * @param testingGrade value
     */
    public void setTestingGrade(String testingGrade) {
        this.testingGrade = testingGrade;
    }

    /**
     * 机器编号
     * @return value
     */
    public String getMachineNo() {
        return machineNo;
    }

    /**
     * 机器编号
     * @param machineNo value
     */
    public void setMachineNo(String machineNo) {
        this.machineNo = machineNo;
    }

    /**
     * 槽长
     * @return value
     */
    public String getNotchLength() {
        return notchLength;
    }

    /**
     * 槽长
     * @param notchLength value
     */
    public void setNotchLength(String notchLength) {
        this.notchLength = notchLength;
    }

    /**
     * 槽宽
     * @return value
     */
    public String getNotchWidth() {
        return notchWidth;
    }

    /**
     * 槽宽
     * @param notchWidth value
     */
    public void setNotchWidth(String notchWidth) {
        this.notchWidth = notchWidth;
    }

    /**
     * 槽深
     * @return value
     */
    public String getNotchDepth() {
        return notchDepth;
    }

    /**
     * 槽深
     * @param notchDepth value
     */
    public void setNotchDepth(String notchDepth) {
        this.notchDepth = notchDepth;
    }

    /**
     * 探伤类型
     * @return value
     */
    public String getTestingType() {
        return testingType;
    }

    /**
     * 探伤类型
     * @param testingType value
     */
    public void setTestingType(String testingType) {
        this.testingType = testingType;
    }

    /**
     * 高温炉时间(分钟)
     * @return value
     */
    public String getHheatTime() {
        return hheatTime;
    }

    /**
     * 高温炉时间(分钟)
     * @param hheatTime value
     */
    public void setHheatTime(String hheatTime) {
        this.hheatTime = hheatTime;
    }

    /**
     * 低温炉时间(分钟)
     * @return value
     */
    public String getLheatTime() {
        return lheatTime;
    }

    /**
     * 低温炉时间(分钟)
     * @param lheatTime value
     */
    public void setLheatTime(String lheatTime) {
        this.lheatTime = lheatTime;
    }

    /**
     * 项目代码
     * @return value
     */
    public String getProjectCode() {
        return projectCode;
    }

    /**
     * 项目代码
     * @param projectCode value
     */
    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    /**
     * 项目名称
     * @return value
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * 项目名称
     * @param projectName value
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    /**
     * 报表模板 0：管体超声UT 1：管端手探超声UT   4涡流ET   10: 管端超声UT  11: 管端手动磁粉MT 12:管端磁粉MT  13螺纹磁粉MT  14:管端电磁声EMAT  15:
     * @return value
     */
    public String getReportNo() {
        return reportNo;
    }

    /**
     * 报表模板 0：管体超声UT 1：管端手探超声UT   4涡流ET   10: 管端超声UT  11: 管端手动磁粉MT 12:管端磁粉MT  13螺纹磁粉MT  14:管端电磁声EMAT  15:
     * @param reportNo value
     */
    public void setReportNo(String reportNo) {
        this.reportNo = reportNo;
    }

    /**
     * 口数
     * @return value
     */
    public String getIncisionNum() {
        return incisionNum;
    }

    /**
     * 口数
     * @param incisionNum value
     */
    public void setIncisionNum(String incisionNum) {
        this.incisionNum = incisionNum;
    }

    /**
     * 捆数
     * @return value
     */
    public String getBundlingNum() {
        return bundlingNum;
    }

    /**
     * 捆数
     * @param bundlingNum value
     */
    public void setBundlingNum(String bundlingNum) {
        this.bundlingNum = bundlingNum;
    }

    /**
     * 返库标识（0-未返库，1-已返库）
     * @return value
     */
    public String getReturnFlag() {
        return returnFlag;
    }

    /**
     * 返库标识（0-未返库，1-已返库）
     * @param returnFlag value
     */
    public void setReturnFlag(String returnFlag) {
        this.returnFlag = returnFlag;
    }

    /**
     * 返库人
     * @return value
     */
    public String getReturnName() {
        return returnName;
    }

    /**
     * 返库人
     * @param returnName value
     */
    public void setReturnName(String returnName) {
        this.returnName = returnName;
    }

    /**
     * 返库时间
     * @return value
     */
    public String getReturnTime() {
        return returnTime;
    }

    /**
     * 返库时间
     * @param returnTime value
     */
    public void setReturnTime(String returnTime) {
        this.returnTime = returnTime;
    }

    /**
     * 通径规测尺寸(生产前)端部
     * @return value
     */
    public String getMeasHead() {
        return measHead;
    }

    /**
     * 通径规测尺寸(生产前)端部
     * @param measHead value
     */
    public void setMeasHead(String measHead) {
        this.measHead = measHead;
    }

    /**
     * 通径规测量尺寸寸(生产前)中部
     * @return value
     */
    public String getMeasMiddle() {
        return measMiddle;
    }

    /**
     * 通径规测量尺寸寸(生产前)中部
     * @param measMiddle value
     */
    public void setMeasMiddle(String measMiddle) {
        this.measMiddle = measMiddle;
    }

    /**
     * 通径规测量尺寸(生产前)尾部
     * @return value
     */
    public String getMeasEnd() {
        return measEnd;
    }

    /**
     * 通径规测量尺寸(生产前)尾部
     * @param measEnd value
     */
    public void setMeasEnd(String measEnd) {
        this.measEnd = measEnd;
    }

    /**
     * 通径规测量尺寸(接班后4小时)端部
     * @return value
     */
    public String getMeasHead4() {
        return measHead4;
    }

    /**
     * 通径规测量尺寸(接班后4小时)端部
     * @param measHead4 value
     */
    public void setMeasHead4(String measHead4) {
        this.measHead4 = measHead4;
    }

    /**
     * 通径规测量尺寸(接班后4小时)中部
     * @return value
     */
    public String getMeasMiddle4() {
        return measMiddle4;
    }

    /**
     * 通径规测量尺寸(接班后4小时)中部
     * @param measMiddle4 value
     */
    public void setMeasMiddle4(String measMiddle4) {
        this.measMiddle4 = measMiddle4;
    }

    /**
     * 通径规测量尺寸(接班后4小时)尾部
     * @return value
     */
    public String getMeasEnd4() {
        return measEnd4;
    }

    /**
     * 通径规测量尺寸(接班后4小时)尾部
     * @param measEnd4 value
     */
    public void setMeasEnd4(String measEnd4) {
        this.measEnd4 = measEnd4;
    }

    /**
     * 通径规测尺寸(生产后)端部
     * @return value
     */
    public String getMeasHeadAfter() {
        return measHeadAfter;
    }

    /**
     * 通径规测尺寸(生产后)端部
     * @param measHeadAfter value
     */
    public void setMeasHeadAfter(String measHeadAfter) {
        this.measHeadAfter = measHeadAfter;
    }

    /**
     * 通径规测量尺寸寸(生产后)中部
     * @return value
     */
    public String getMeasMiddleAfter() {
        return measMiddleAfter;
    }

    /**
     * 通径规测量尺寸寸(生产后)中部
     * @param measMiddleAfter value
     */
    public void setMeasMiddleAfter(String measMiddleAfter) {
        this.measMiddleAfter = measMiddleAfter;
    }

    /**
     * 通径规测量尺寸(生产后)尾部
     * @return value
     */
    public String getMeasEndAfter() {
        return measEndAfter;
    }

    /**
     * 通径规测量尺寸(生产后)尾部
     * @param measEndAfter value
     */
    public void setMeasEndAfter(String measEndAfter) {
        this.measEndAfter = measEndAfter;
    }

    /**
     * 通径规编号
     * @return value
     */
    public String getPatchNo() {
        return patchNo;
    }

    /**
     * 通径规编号
     * @param patchNo value
     */
    public void setPatchNo(String patchNo) {
        this.patchNo = patchNo;
    }
}